Bug 111387 - RFE: do not run anacron before 4 a.m.
RFE: do not run anacron before 4 a.m.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anacron (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-02 16:52 EST by Bernd Bartmann
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-04 18:34:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernd Bartmann 2003-12-02 16:52:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
After rebooting a system at 3:45 a.m. in the morning I noticed that
anacron runs altough normal cron will start cron.daily at 4 a.m.

So I suggest to not run anacron if the system has been booted before 4
a.m. and normal cron is enabled. Otherwise you'll all reports from
e.g. logwatch and tripwire twice.
 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. enable cron and anacron
2. reboot the system before 4 a.m.
3. wait for emails from cron
    

Additional info:
Comment 1 Jason Vas Dias 2004-08-04 18:34:59 EDT
You can edit your configuration files if this bothers you -
that's what they're for.

Comment 2 Bernd Bartmann 2004-08-05 02:47:37 EDT
Sure, but how about shipping default config files that already fix
this issue?
Comment 3 Jason Vas Dias 2004-08-05 09:31:52 EDT
How would we fix it ? 
Not run anacron at all ?
Remove the cron.daily job from the default crontab ?
Put complex logic into the anacron startup script that
would check when the cron.daily job is to be run and
possibly not start anacron ?
Make anacron parse the crontabs and assume cron will
run the jobs?
Make cron discover if anacron has run the jobs
(integrate anacron into cron) ?
None of these are acceptable general purpose solutions.
Really, customizing your startup scripts to suit the needs
of your installation is the only answer.
Perhaps disabling cron (chkconfig --del crond)
and just using anacron might be an answer for you.

Note You need to log in before you can comment on or make changes to this bug.